<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['nombre'])) {
    $errors[] = "Nombre vacío";
} else if (!empty($_POST['nombre'])) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $nombre     = mysqli_real_escape_string($conexion, (strip_tags($_POST["nombre"], ENT_QUOTES)));
    $nit     = mysqli_real_escape_string($conexion, (strip_tags($_POST["nit"], ENT_QUOTES)));
    $telefono   = mysqli_real_escape_string($conexion, (strip_tags($_POST["telefono"], ENT_QUOTES)));
    $direccion  = mysqli_real_escape_string($conexion, (strip_tags($_POST["direccion"], ENT_QUOTES)));
    $estado     = intval($_POST['estado']);
    $comision     = intval($_POST['comision']);
    $sucursal     = intval($_POST['sucursal']);
    $cod  = mysqli_real_escape_string($conexion, (strip_tags($_POST["cod"], ENT_QUOTES)));
    $date_added = date("Y-m-d H:i:s");
    // check if user or email address already exists
    $sql                   = "SELECT * FROM empleados WHERE dui_empleado ='" . $nit . "';";
    $query_check_user_name = mysqli_query($conexion, $sql);
    $query_check_user      = mysqli_num_rows($query_check_user_name);
    if ($query_check_user == true) {
        $errors[] = "Lo sentimos , el NIT ya está en uso.";
    } else {
        // write new user's data into database
        $sql              = "INSERT INTO empleados (nom_empleado, dui_empleado, dir_empleado, tel_empleado, sucursal_id, estado_empleado, com_empleado, cod_empleado) 
                                            VALUES ('$nombre','$nit','$direccion','$telefono','$sucursal','$estado','$comision','$cod')";
        $query_new_insert = mysqli_query($conexion, $sql);
        if ($query_new_insert) {
            $messages[] = "Empleado ha sido ingresado con Exito.";
        } else {
            $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
        }
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
        foreach ($errors as $error) {
            echo $error;
        }
        ?>
    </div>
<?php
}
if (isset($messages)) {

?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
        foreach ($messages as $message) {
            echo $message;
        }
        ?>
    </div>
<?php
}

?>